Create Json Template
curl --request POST \
--url https://api.topsort.com/public/v1/campaign-service/json-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"jsonSchema": {
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"title": {
"maxLength": 100,
"minLength": 1,
"type": "string"
}
},
"required": [
"title"
],
"type": "object"
},
"previewScreenshot": "<string>",
"adFormat": "banner",
"previewUrl": "<string>"
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/json-templates"
payload = {
"name": "<string>",
"description": "<string>",
"jsonSchema": {
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": { "title": {
"maxLength": 100,
"minLength": 1,
"type": "string"
} },
"required": ["title"],
"type": "object"
},
"previewScreenshot": "<string>",
"adFormat": "banner",
"previewUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
jsonSchema: {
$schema: 'http://json-schema.org/draft-07/schema#',
properties: {title: {maxLength: 100, minLength: 1, type: 'string'}},
required: ['title'],
type: 'object'
},
previewScreenshot: '<string>',
adFormat: 'banner',
previewUrl: '<string>'
})
};
fetch('https://api.topsort.com/public/v1/campaign-service/json-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/campaign-service/json-templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'jsonSchema' => [
'$schema' => 'http://json-schema.org/draft-07/schema#',
'properties' => [
'title' => [
'maxLength' => 100,
'minLength' => 1,
'type' => 'string'
]
],
'required' => [
'title'
],
'type' => 'object'
],
'previewScreenshot' => '<string>',
'adFormat' => 'banner',
'previewUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/campaign-service/json-templates"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"jsonSchema\": {\n \"$schema\": \"http://json-schema.org/draft-07/schema#\",\n \"properties\": {\n \"title\": {\n \"maxLength\": 100,\n \"minLength\": 1,\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"title\"\n ],\n \"type\": \"object\"\n },\n \"previewScreenshot\": \"<string>\",\n \"adFormat\": \"banner\",\n \"previewUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.topsort.com/public/v1/campaign-service/json-templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"jsonSchema\": {\n \"$schema\": \"http://json-schema.org/draft-07/schema#\",\n \"properties\": {\n \"title\": {\n \"maxLength\": 100,\n \"minLength\": 1,\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"title\"\n ],\n \"type\": \"object\"\n },\n \"previewScreenshot\": \"<string>\",\n \"adFormat\": \"banner\",\n \"previewUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/campaign-service/json-templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"jsonSchema\": {\n \"$schema\": \"http://json-schema.org/draft-07/schema#\",\n \"properties\": {\n \"title\": {\n \"maxLength\": 100,\n \"minLength\": 1,\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"title\"\n ],\n \"type\": \"object\"\n },\n \"previewScreenshot\": \"<string>\",\n \"adFormat\": \"banner\",\n \"previewUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"jsonSchema": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"adFormat": "banner",
"isArchived": false,
"previewScreenshot": "<string>",
"previewUrl": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Create Json Template
Endpoint to create a new JSON template.
POST
/
public
/
v1
/
campaign-service
/
json-templates
Create Json Template
curl --request POST \
--url https://api.topsort.com/public/v1/campaign-service/json-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"jsonSchema": {
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": {
"title": {
"maxLength": 100,
"minLength": 1,
"type": "string"
}
},
"required": [
"title"
],
"type": "object"
},
"previewScreenshot": "<string>",
"adFormat": "banner",
"previewUrl": "<string>"
}
'import requests
url = "https://api.topsort.com/public/v1/campaign-service/json-templates"
payload = {
"name": "<string>",
"description": "<string>",
"jsonSchema": {
"$schema": "http://json-schema.org/draft-07/schema#",
"properties": { "title": {
"maxLength": 100,
"minLength": 1,
"type": "string"
} },
"required": ["title"],
"type": "object"
},
"previewScreenshot": "<string>",
"adFormat": "banner",
"previewUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
jsonSchema: {
$schema: 'http://json-schema.org/draft-07/schema#',
properties: {title: {maxLength: 100, minLength: 1, type: 'string'}},
required: ['title'],
type: 'object'
},
previewScreenshot: '<string>',
adFormat: 'banner',
previewUrl: '<string>'
})
};
fetch('https://api.topsort.com/public/v1/campaign-service/json-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topsort.com/public/v1/campaign-service/json-templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'jsonSchema' => [
'$schema' => 'http://json-schema.org/draft-07/schema#',
'properties' => [
'title' => [
'maxLength' => 100,
'minLength' => 1,
'type' => 'string'
]
],
'required' => [
'title'
],
'type' => 'object'
],
'previewScreenshot' => '<string>',
'adFormat' => 'banner',
'previewUrl' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topsort.com/public/v1/campaign-service/json-templates"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"jsonSchema\": {\n \"$schema\": \"http://json-schema.org/draft-07/schema#\",\n \"properties\": {\n \"title\": {\n \"maxLength\": 100,\n \"minLength\": 1,\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"title\"\n ],\n \"type\": \"object\"\n },\n \"previewScreenshot\": \"<string>\",\n \"adFormat\": \"banner\",\n \"previewUrl\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.topsort.com/public/v1/campaign-service/json-templates")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"jsonSchema\": {\n \"$schema\": \"http://json-schema.org/draft-07/schema#\",\n \"properties\": {\n \"title\": {\n \"maxLength\": 100,\n \"minLength\": 1,\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"title\"\n ],\n \"type\": \"object\"\n },\n \"previewScreenshot\": \"<string>\",\n \"adFormat\": \"banner\",\n \"previewUrl\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topsort.com/public/v1/campaign-service/json-templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"jsonSchema\": {\n \"$schema\": \"http://json-schema.org/draft-07/schema#\",\n \"properties\": {\n \"title\": {\n \"maxLength\": 100,\n \"minLength\": 1,\n \"type\": \"string\"\n }\n },\n \"required\": [\n \"title\"\n ],\n \"type\": \"object\"\n },\n \"previewScreenshot\": \"<string>\",\n \"adFormat\": \"banner\",\n \"previewUrl\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"jsonSchema": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"adFormat": "banner",
"isArchived": false,
"previewScreenshot": "<string>",
"previewUrl": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizaciones
Cuerpo
application/json
A JSON object that defines a schema according to draft-07 of the JSON Schema specification.
Ejemplo:
{ "$schema": "http://json-schema.org/draft-07/schema#", "properties": { "title": { "maxLength": 100, "minLength": 1, "type": "string" } }, "required": ["title"], "type": "object" }
Respuesta
Successful Response
¿Esta página le ayudó?